API
Organizations
Create organizations and change their members and settings.
curl -X GET "https://example.com/organizations"{ "orgs": [ { "id": "string", "name": "string", "slug": "string", "createdByUserId": "string", "createdAt": 0, "namePending": true } ]}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/organizations" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "string", "name": "string", "slug": "string", "createdByUserId": "string", "createdAt": 0, "namePending": true}curl -X GET "https://example.com/organizations/string"{ "id": "string", "name": "string", "slug": "string", "createdByUserId": "string", "createdAt": 0, "namePending": true}Path Parameters
orgId*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/organizations/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "name": "string", "slug": "string", "createdByUserId": "string", "createdAt": 0, "namePending": true}curl -X GET "https://example.com/organizations/slug-preview?name=string"{ "slug": "string"}curl -X GET "https://example.com/organizations/string/memberships"{ "memberships": [ { "orgId": "string", "userId": "string", "role": "string", "createdAt": 0 } ]}Path Parameters
orgId*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/organizations/string/memberships" \ -H "Content-Type: application/json" \ -d '{ "userId": "string", "role": "string" }'{ "orgId": "string", "userId": "string", "role": "string", "createdAt": 0}Path Parameters
orgId*string
Length
1 <= lengthResponse Body
application/json
application/json
application/json
curl -X POST "https://example.com/organizations/string/close"{ "orgId": "string", "closedAt": 0, "basis": "owner", "settlements": [ { "orderId": "string", "packCredits": 1, "outcome": "withdrawn", "credits": 0, "refundUsd": 0, "refundStatus": "pending" } ]}How is this page?